/** @file
 * @brief NetHelper class header. This class represents a Helper to easily perform tcp/ip operations.
 *
 *
 *
 * @copyright Intra2net AG
 * @license GPLv2
*/

#ifndef NETHELPER_H
#define NETHELPER_H

#include "logger.hpp"
#include "ip_service.hpp"

#include <boost/shared_ptr.hpp>


class NetHelper
{

private:

    Logger::Ptr Log;
    IPService::Ptr IPServicePtr;

public:

    typedef boost::shared_ptr<NetHelper> Ptr;

    NetHelper();

    NetHelper(const Logger::Ptr _log);

    ~NetHelper();

    int open_connection(const std::string& _host, const std::string& _port) const;

    int send_data(const std::string& data) const;

    std::string receive_data() const;

    int close_connection() const;

};

#endif
